#!/usr/bin/tclsh

set a [read stdin]
set intv [lindex $argv 0]
set N [lindex $argv 1]

set ausgabe "0.0${N}T.eps"
set tmpfile test.tmp

exec zeitintervall.tcl $intv << $a >$tmpfile

proc rate {a} {
    set z 0
    set sum 0

    foreach i $a {
	set sum [expr $sum+$i]
	incr z
    }
    return [expr 1.0*$z/$sum]
}

set r [rate $a]

set theo "exp(-$r*x*$N)*$r*100*$intv*$N"
for {set i 1} {$i < $N} {incr i} {
    append theo "*$r*x*$N/$i"
}

puts $theo

set h [open "|gnuplot" w]
puts $h "set terminal postscript eps color"
puts $h "set output \"$ausgabe.tmp\""
puts $h "set xlabel \"100 t/s\""
puts $h "set ylabel \"N\""
puts $h "plot \"$tmpfile\" title \"Messpunkte\" with boxes, $theo title \"theoretische Kurve\""
puts $h "exit"
close $h

